library ieee;
use ieee.std_logic_1164.all;

entity DEC3TO8G is
    port( IN0, IN1, IN2:  in   std_logic;
          D0, D1, D2, D3, D4, D5, D6, D7: out  std_logic);
end DEC3TO8G;

architecture RTL of DEC3TO8G is
begin
    D0 <= not(((not IN0) and (not IN1)) and (not IN2));
    D1 <= not((     IN0  and (not IN1)) and (not IN2));
    D2 <= not(((not IN0) and      IN1 ) and (not IN2));
    D3 <= not((     IN0  and      IN1 ) and (not IN2));
    D4 <= not(((not IN0) and (not IN1)) and      IN2 );
    D5 <= not((     IN0  and (not IN1)) and      IN2 );
    D6 <= not(((not IN0) and      IN1 ) and      IN2 );
    D7 <= not((     IN0  and      IN1 ) and      IN2 );
end RTL;

