library ieee;
use ieee.std_logic_1164.all;

entity ENC8TO3 is
    port( IN0, IN1, IN2, IN3, IN4, IN5, IN6, IN7:  in   std_logic;
          O0, O1, O2, OE:  out  std_logic);
end ENC8TO3;

architecture RTL of ENC8TO3 is
begin
    OE <= IN0 and IN1 and IN2 and IN3 and IN4 and IN5 and IN6 and IN7;
    O0 <= (((not IN1) and IN2 and IN4 and IN6)
     or ((not IN3) and IN4 and IN6 )
     or ((not IN5) and IN6))
     or (not IN7); 
    O1 <= (((not IN2) and IN4 and IN5)
     or ((not IN3) and IN4 and IN5))
     or (not IN6)
     or (not IN7);
    O2 <= (((not IN4) or (not IN5)) or (not IN6)) or (not IN7);
end RTL;
