library ieee;
use ieee.std_logic_1164.all;

entity ENCODER2 is
    port( SW0, SW1, SW2, SW3: in  std_logic;
          LED0, LED1, LED2:   out std_logic);
end ENCODER2;

architecture RTL of ENCODER2 is
    signal SW:   std_logic_vector(3 downto 0);
    signal CODE: std_logic_vector(2 downto 0);
begin
    SW(0)<=not SW0; SW(1)<=not SW1; SW(2)<=not SW2; SW(3)<=not SW3;
    LED0 <= CODE(0); LED1 <= CODE(1); LED2 <= CODE(2);
    with SW select
        CODE <= "000" when "1000",
                "001" when "0100",
                "010" when "0010",
                "011" when "0001",
                "100" when others;
end RTL;
