library ieee;
use ieee.std_logic_1164.all;

entity GATES is
    port( SW0, SW1:               in   std_logic;
          LED0, LED1, LED2, LED3: out  std_logic);
end GATES;

architecture RTL of GATES is
begin
    LED0 <= SW0  and  SW1;
    LED1 <= SW0  or   SW1;
    LED2 <= SW0  xor  SW1;
    LED3 <=      not  SW0;
end RTL;
