library	ieee;
use ieee.std_logic_1164.all;

entity SEL4TO1B is
    port ( IN0, IN1, IN2, IN3: in   std_logic;
           SEL: in   std_logic_vector( 1 downto 0 );    
           DOUT :      out  std_logic);
 end SEL4TO1B;

 architecture RTL of SEL4TO1B is
 begin
    with SEL select
        DOUT <= IN0 when "00",
                IN1 when "01", 
                IN2 when "10", 
                IN3 when others;
 end  RTL;
