library ieee;
use ieee.std_logic_1164.all;

entity T_PENCODER is
end T_PENCODER;

architecture SIM of T_PENCODER is
  component PENCODER
    port( SW0, SW1, SW2, SW3: in  std_logic;
          LED0, LED1, LED2:   out std_logic);
  end component;

signal  S0, S1, S2, S3: std_logic;
signal  L0, L1, L2: std_logic;

begin
  U01:PENCODER port map(SW0=>S0, SW1=>S1, SW2=>S2, SW3=>S3,
                               LED0=>L0, LED1=>L1, LED2=>L2);
 process  begin
    S3<='0'; S2<='0'; S1<='0'; S0<='0';  wait for 100 ns;
    S3<='0'; S2<='0'; S1<='0'; S0<='1';  wait for 100 ns;
    S3<='0'; S2<='0'; S1<='1'; S0<='0';  wait for 100 ns;
    S3<='0'; S2<='0'; S1<='1'; S0<='1';  wait for 100 ns;
    S3<='0'; S2<='1'; S1<='0'; S0<='0';  wait for 100 ns;
    S3<='0'; S2<='1'; S1<='0'; S0<='1';  wait for 100 ns;
    S3<='0'; S2<='1'; S1<='1'; S0<='0';  wait for 100 ns;
    S3<='0'; S2<='1'; S1<='1'; S0<='1';  wait for 100 ns;
    S3<='1'; S2<='0'; S1<='0'; S0<='0';  wait for 100 ns;
    S3<='1'; S2<='0'; S1<='0'; S0<='1';  wait for 100 ns;
    S3<='1'; S2<='0'; S1<='1'; S0<='0';  wait for 100 ns;
    S3<='1'; S2<='0'; S1<='1'; S0<='1';  wait for 100 ns;
    S3<='1'; S2<='1'; S1<='0'; S0<='0';  wait for 100 ns;
    S3<='1'; S2<='1'; S1<='0'; S0<='1';  wait for 100 ns;
    S3<='1'; S2<='1'; S1<='1'; S0<='0';  wait for 100 ns;
    S3<='1'; S2<='1'; S1<='1'; S0<='1';  wait for 100 ns;
    assert false;
    report "Simulation Complete!“ severity Failure;	
  end process;
end SIM;

