library ieee;
use ieee.std_logic_1164.all;

entity T_SEL2TO1 is
end T_SEL2TO1;

architecture SIM of T_SEL2TO1 is
  component SEL2TO1
     port( IN0, IN1, SEL: in  std_logic;
           DOUT:          out std_logic);
  end component;

signal  A, B, S, Q: std_logic := '0';

begin
  U01:SEL2TO1 port map(IN0=>A, IN1=>B, SEL=>S, DOUT=>Q);

 CLKL: process begin
    wait for 100 ns; A <= not A;  -- 5kHz
  end process;

  CLKH: process  begin
    wait for 50 ns;  B <= not B;  -- 10kHz
  end process;

  SELCLK: process  begin
    S <= '0'; wait for 100*5 ns;
    S <= '1'; wait for 100*5 ns;
    assert false;
    report "Simulation Complete!" severity Failure;	
  end process;
end SIM;
