library ieee;
use ieee.std_logic_1164.all;

entity T_TRUTH is
end T_TRUTH;

architecture SIM of T_TRUTH is
  component TRUTH
    port(SW0, SW1: in   std_logic;
         LED0:     out  std_logic );
  end component;
  signal X1, X2, Q:  std_logic;
begin
  U01:TRUTH port map( SW0 => X1, SW1 => X2, LED0 => Q );
  process begin
    X1 <= '0'; X2 <= '0' ; wait for 100 ns; 
    X1 <= '0'; X2 <= '1' ; wait for 100 ns; 
    X1 <= '1'; X2 <= '0' ; wait for 100 ns; 
    X1 <= '1'; X2 <= '1' ; wait for 100 ns; 
    assert false;
    report "Simulation Complete !!" severity Failure ;
  end process;
end SIM;
