library ieee;
use ieee.std_logic_1164.all;

entity encoder is
    port( SW0, SW1, SW2, SW3: in  std_logic;
          LED0, LED1, LED2:   out std_logic);
end encoder;

architecture RTL of encoder is
    signal IN0,IN1, IN2, IN3: std_logic;
    signal CODE: std_logic_vector(2 downto 0);
begin
    IN0 <= not SW0; IN1 <= not SW1; IN2 <= not SW2; IN3 <= not SW3;
    LED0 <= CODE(0); LED1 <= CODE(1); LED2 <= CODE(2);
    CODE <= "000" when IN0='1' and IN1='0' and IN2='0' and IN3='0' else
            "001" when IN0='0' and IN1='1' and IN2='0' and IN3='0' else
            "010" when IN0='0' and IN1='0' and IN2='1' and IN3='0' else
            "011" when IN0='0' and IN1='0' and IN2='0' and IN3='1' else
            "100"; -- エラー表示
end RTL;
