library ieee;
use ieee.std_logic_1164.all;
use ieee.std_logic_unsigned.all;

entity BIN4 is
     port( SW0:   in   std_logic;
           LED0, LED1, LED2, LED3:  out  std_logic );
end BIN4;

architecture RTL of BIN4 is
signal CNT: std_logic_vector( 3 downto 0 ):="0000";

begin
    LED0<=CNT(0); LED1<=CNT(1); LED2<=CNT(2); LED3<=CNT(3);
    process( SW0 ) begin
        if( SW0'event and SW0='0') then 
            CNT <= CNT + 1;
        end if;
    end process;
end RTL;
