library ieee;
use ieee.std_logic_1164.all;
use ieee.std_logic_unsigned.all;

entity BIN4LED is
     port( SW0:       in   std_logic;
           SEG7LED0:  out  std_logic_vector(6 downto 0 ));
end BIN4LED;

architecture RTL of BIN4LED is
component DEC7LED16
    port( SW4 :      in   std_logic_vector(3 downto 0 );
          SEG7LED0 : out  std_logic_vector(6 downto 0 ));
end component;
signal CNT: std_logic_vector( 3 downto 0 ):="0000";

begin
    process( SW0 ) begin
        if( SW0'event and SW0='0') then 
            CNT <= CNT + 1;
        end if;
    end process;

    U01:DEC7LED16 port map( SW4=>CNT, SEG7LED0=>SEG7LED0 );
end RTL;
