library ieee;
use ieee.std_logic_1164.all;

entity CHATTER is
port(
        CLK, SWIN:   in   std_logic;
        SWOUT0:      out  std_logic;
        SWOUT1:      out  std_logic  );
end CHATTER;
?
architecture RTL of CHATTER is
signal CHATT:  std_logic_vector(3 downto 0);
signal CNT:    integer range 0 to 27000-1; --1ms
begin
    process( CLK ) begin
        if (CLK'event and CLK = '1') then --★本書では‘1'となっておりますが，'1'の誤りです。
            if (CNT = 27000-1) then   --1ms
                CNT <= 0;
                CHATT <= CHATT(2 downto 0) & SWIN;  
            else
                CNT <= CNT + 1;
            end if;
        end if;
    end process;

SWOUT0 <= CHATT(3) or CHATT(2) or CHATT(1) or CHATT(0);
SWOUT1 <= CHATT(3) and CHATT(2) and CHATT(1) and CHATT(0); 
end RTL;
