library ieee;
use ieee.std_logic_1164.all;
use ieee.std_logic_unsigned.all;

entity CNT10SR is
     port( SW0:   in   std_logic;  -- 入力信号
           SW3:   in   std_logic;  -- RESET
           LED0, LED1, LED2, LED3:  out  std_logic );
end CNT10SR;

architecture RTL of CNT10SR is
signal CNT: std_logic_vector( 3 downto 0 ):="0000";

begin
    LED0<=CNT(0); LED1<=CNT(1); LED2<=CNT(2); LED3<=CNT(3);
    process( SW0 ) begin
        if( SW0'event and SW0='0') then 
            if   ( SW3='0' )    then CNT <= "0000"; --RESET
            elsif( CNT="1001" ) then CNT <= "0000"; --10進
            else                     CNT <= CNT + 1;
            end if;
        end if;
    end process;
end RTL;
