library ieee;
use ieee.std_logic_1164.all;

entity LEDONOFF is
port(
        CLK, SW0:   in  std_logic;
        LED0:       out std_logic  );
end LEDONOFF;

architecture RTL of LEDONOFF is
    component CHATTER is
        port( CLK, SWIN:   in   std_logic;
              SWOUT0:      out  std_logic;
              SWOUT1:      out  std_logic  );
    end component;

    component TOGGLE is
        port( SW0:   in   std_logic;
              LED0:  out  std_logic );
    end component;

    signal SSW: std_logic;
begin
    U01: CHATTER port map(CLK, SW0, SSW, open );
    U02: TOGGLE port map( SSW, LED0 );
end RTL; 
