library ieee;
use ieee.std_logic_1164.all;

entity T500MS is
     port( CLK:   in   std_logic;
           P500:  out  std_logic );
end T500MS;

architecture RTL of T500MS is
signal CNT: integer range 0 to 13499999;
begin
process( CLK )
begin
    if( CLK'event and CLK='0') then 
        if CNT=13499999 then
            CNT<=0;
            P500<= '1';
        else
            CNT <= CNT + 1;
            P500<= '0';
        end if;
    end if;
end process;
end RTL;
