library ieee;
use ieee.std_logic_1164.all;

entity TOGGLE4 is
     port( SW0:   in   std_logic;
           LED0, LED1, LED2, LED3:  out  std_logic );
end TOGGLE4;

architecture RTL of TOGGLE4 is
component TOGGLE
     port( SW0:   in   std_logic;
           LED0:  out  std_logic );
end component;
signal Q, R, S, T: std_logic:='0';

begin
    LED0<=Q; LED1<=R; LED2<=S; LED3<=T;

    U0:TOGGLE port map( SW0=>SW0, LED0=>Q );
    U1:TOGGLE port map( SW0=>Q,   LED0=>R );
    U2:TOGGLE port map( SW0=>R,   LED0=>S );
    U3:TOGGLE port map( SW0=>S,   LED0=>T );
end RTL;
