library ieee;
use ieee.std_logic_1164.all;

entity TOGGLE500MS is
     port( CLK:   in   std_logic;
           LED0:  out  std_logic );
end TOGGLE500MS;

architecture RTL of TOGGLE500MS is
    component T500MS
        port( CLK:   in   std_logic;
              P500:  out  std_logic );
    end component;

    component TOGGLE is
        port( SW0:   in   std_logic;
              LED0:  out  std_logic );
    end component;

    signal  P500: std_logic;

begin
    U01: T500MS port map(CLK => CLK, P500 => P500 );
    U02: TOGGLE port map( SW0 => P500, LED0 => LED0 );
end RTL;
