library ieee;
use ieee.std_logic_1164.all;

entity T_SETRESET is
end T_SETRESET;

architecture SIM of T_SETRESET is
  component SETRESET
    port(SW0, SW1: in   std_logic;
         LED0:     out  std_logic);
  end component;
  signal LED:  std_logic;
  signal SET, RESET : std_logic := '1';
begin
  U01:SETRESET port map( SW0 => SET, SW1 => RESET, LED0 => LED );
  process begin
    SET   <= '0' ; wait for 100 ns; 
    SET   <= '1' ; wait for 100 ns; 
    RESET <= '0' ; wait for 100 ns; 
    RESET <= '1' ; wait for 100 ns; 
    SET   <= '0' ; RESET <= '0';  wait for 100 ns;
    assert false;
    report "Simulation Complete !!" severity Failure ;
  end process;
end SIM;
