library ieee;
use ieee.std_logic_1164.all;

library altera;
use altera.maxplus2.all;

entity DEC3TO8IP is
    port( SW0, SW1, SW2: in std_logic;
          LED0, LED1, LED2, LED3, LED4, LED5, LED6, LED7: out std_logic);
end DEC3TO8IP;

architecture RTL of DEC3TO8IP is
    signal H, L: std_logic;
begin
    H <= '1';  L <= '0';

    U1: a_74138 port map(H, L, L, c=>SW2, b=>SW1, a=>SW0,
         y0n=>LED0, y1n=>LED1, y2n=>LED2, y3n=>LED3, 
         y4n=>LED4, y5n=>LED5, y6n=>LED6, y7n=>LED7);
end RTL;
