library ieee;
use ieee.std_logic_1164.all;

library altera;
use altera.maxplus2.all;

entity DEC7LEDIP is
    port( SW4 :      in   std_logic_vector(3 downto 0 );
          SEG7LED0 : out  std_logic_vector(6 downto 0 ));
end DEC7LEDIP;

architecture RTL of DEC7LEDIP is
signal  H, L:   std_logic;

begin
    L <= '0'; H <= '1';

    U03:a_7447 port map(ltn=>H,rbin=>H,d=>SW4(3),c=>SW4(2),
          b=>SW4(1),a=>SW4(0),bin=>H,
          oa=>SEG7LED0(6),ob=>SEG7LED0(5),oc=>SEG7LED0(4),
          od=>SEG7LED0(3),oe=>SEG7LED0(2),a_of=>SEG7LED0(1),
          og=>SEG7LED0(0),rbon=>open );
end RTL;
