architecture RTL of 自販機 is
type STATE is (客待ち, 選択, 商品排出, 残金確認, 残金返戻);
signal CURRENT_STATE: STATE:= 客待ち;

begin
process( コイン投入, 選択, 返却レバー, RESET ) begin
    if RESET = リセット' then CURRENT_STATE <= 客待ち;
    else
        case CURRENT_STATE is
            when 客待ち => ディスプレイ動作；
                 if コイン投入 = 'あり' then CURRENT_STATE <= 選択;
                 end if;
            when 選択 =>
                 if 選択ボタン = '押された' then CURRENT_STATE <= 商品排出;
                 elsif 返却レバー = '押された' then CURRENT_STATE <= 残金返戻;
                 end if;
            when 商品排出 => 選択された商品を排出する; CURRENT_STATE <= 残金確認;
　　　　　　when 残金確認 =>
                 if 残金= 'あり' then CURRENT_STATE <= 選択;
                 else                 CURRENT_STATE <= 客待ち;
                 end if;
            when 残金返戻 => 残金を返戻する; CURRENT_STATE <= 客待ち;
                 end if;

        end case;
    end if;
end process;
