library ieee;
use ieee.std_logic_1164.all;
use ieee.std_logic_unsigned.all;

entity COMP2TOP is
     port( A, B:   in   std_logic_vector(1 downto 0);
           S, T:   in  std_logic;
           Q:      out  std_logic );
end COMP2TOP;

architecture RTL of COMP2TOP is

component COMP2 is
     port( A, B:   in   std_logic_vector(1 downto 0);
           X:      out  std_logic );
end component;

component SEL2TO1 is
    port( IN0, IN1, SEL: in   std_logic;
          DOUT :         out  std_logic);
end component;

signal X, X0, X1: std_logic;
begin
    U01: COMP2 port map( A, B, X );
    U02: SEL2TO1 port map( S, T, X, Q );
end RTL;
