library ieee;
use ieee.std_logic_1164.all;

entity SEG7DEC is
    port( SW4 :      in   std_logic_vector(3 downto 0 );
          SEG7LED0 : out  std_logic_vector(6 downto 0 ));
end SEG7DEC;

architecture RTL of SEG7DEC is
begin
    process( SW4 )
    begin
        case SW4 is
            when "0000" => SEG7LED0 <= "1100010";  --0
            when "0001" => SEG7LED0 <= "1001111";  --1
            when "0010" => SEG7LED0 <= "0010010";  --2
            when "0011" => SEG7LED0 <= "0000110";  --3
            when "0100" => SEG7LED0 <= "1001100";  --4
            when "0101" => SEG7LED0 <= "0100100";  --5
            when "0110" => SEG7LED0 <= "1100000";  --6
            when "0111" => SEG7LED0 <= "0001101";  --7
            when "1000" => SEG7LED0 <= "0000000";  --8
            when "1001" => SEG7LED0 <= "0001100";  --9
            when others => SEG7LED0 <= "1111110";  ---
        end case;
    end process;
end RTL;

