library ieee;
use ieee.std_logic_1164.all;

entity T_CNT10ARUD is
end T_CNT10ARUD;

architecture SIM of T_CNT10ARUD is
  component CNT10ARUDTX
 generic (MODE : string(1 to 3) := "RTL");
     port( SW0:   in   std_logic;  --入力信号
           SW1:   in   std_logic;  -- Up/Down
           SW3:   in   std_logic;  -- RESET
           LED0, LED1, LED2, LED3:  out  std_logic );
  end component;
  signal SW0, SW3, LED0, LED1, LED2, LED3: std_logic:='0' ;
  signal SW1: std_logic:='1';

begin
   TEXT: CNT10ARUDTX  generic map(MODE => "SIM" )
   port map( SW0=>SW0, SW1=>SW1, SW3=>SW3,
                LED0=>LED0, LED1=>LED1, LED2=>LED2, LED3=>LED3 );

    SW3 <= '1' after  350 ns,   -- RESET
           '0' after  900 ns,
           '1' after 1150 ns,
           '0' after 3450 ns,
           '1' after 3550 ns;

    SW1 <= '0' after 2800 ns;   -- Up/Down

  process begin
    for N in 1 to 20 loop       -- 入力信号
        SW0 <= '0' ; wait for 100 ns; 
        SW0 <= '1' ; wait for 100 ns; 
    end loop;

    assert false;
    report "Simulation Complete !!" severity Failure ;
  end process;
end SIM;
