library ieee;
use ieee.std_logic_1164.all;

entity T_SAMPLE is
end T_SAMPLE;

architecture SIM of T_SAMPLE is
  component SAMPLE is
    port( A,B: in std_logic;
          X,Y: out std_logic);
  end component;
  signal IN1, IN2, OUT1, OUT2:  std_logic;
begin
  U02:SAMPLE port map( A => IN1, B => IN2,
                       X => OUT1, Y => OUT2);
  process begin
    IN1 <= '0'; IN2 <= '0' ; wait for 100 ns; 
    IN1 <= '0'; IN2 <= '1' ; wait for 100 ns; 
    IN1 <= '1'; IN2 <= '0' ; wait for 100 ns; 
    IN1 <= '1'; IN2 <= '1' ; wait for 100 ns; 

    assert false
    report "Simulation Complete !!"
    severity Failure ;
  end process;
end SIM;
