library ieee;
use ieee.std_logic_1164.all;

entity E_PARITY is
    port( DATA:  in   std_logic_vector( 7 downto 0 );
          P_BIT: out  std_logic );
end E_PARITY;

architecture RTL of E_PARITY is
begin

   P_BIT <= DATA(0) XOR DATA(1) XOR DATA(2) XOR DATA(3)
        XOR DATA(4) XOR DATA(5) XOR DATA(6) XOR DATA(7);

--   P_BIT <= (( DATA(0) XOR DATA(1) ) XOR ( DATA(2) XOR DATA(3)))
--        XOR (( DATA(4) XOR DATA(5) ) XOR ( DATA(6) XOR DATA(7)));

end RTL;

