library ieee;
use ieee.std_logic_1164.all;

entity SEL4TO1 is
    port( IN0, IN1, IN2, IN3 : in	std_logic;
          SEL : in  std_logic_vector(1 downto 0);
          DOUT :               out 	std_logic);
end SEL4TO1;

architecture RTL of SEL4TO1 is
begin
    DOUT<= IN0 when SEL="00" else
           IN1 when SEL="01" else
           IN2 when SEL="10" else
           IN3 ;
end RTL;
