library ieee;
use ieee.std_logic_1164.all;

entity SEL4TO1G is
    port( IN0, IN1, IN2, IN3:  in   std_logic;
          SEL:  in   std_logic_vector(1 downto 0);
          DOUT: out  std_logic);
end SEL4TO1G;

architecture RTL of SEL4TO1G is
begin
  DOUT <= (IN0 and (not SEL(0)) and (not SEL(1)))
       or (IN1 and (    SEL(0)) and (not SEL(1)))
       or (IN2 and (not SEL(0)) and (    SEL(1)))
       or (IN3 and (    SEL(0)) and (    SEL(1)));
end RTL;
