library ieee;
use ieee.std_logic_1164.all;

entity T_CMPG is
end T_CMPG;

architecture SIM of T_CMPG is
  component CMPG
    port( SW0, SW1, SW2, SW3:   in std_logic;
          LED0:                 out std_logic);
  end component;
  signal X0, X1, X2, X3, Y0:  std_logic;

begin
  U01:CMPG port map( SW0 => X0, SW1 => X1, SW2 => X2, SW3 => X3, LED0 => Y0);

  process begin
     X0 <= '0'; X1 <= '0'; X2 <= '0'; X3 <= '0' ; wait for 100 ns; 
     X0 <= '0'; X1 <= '0'; X2 <= '0'; X3 <= '1' ; wait for 100 ns; 
     X0 <= '0'; X1 <= '0'; X2 <= '1'; X3 <= '0' ; wait for 100 ns; 
     X0 <= '0'; X1 <= '0'; X2 <= '1'; X3 <= '1' ; wait for 100 ns; 
     X0 <= '0'; X1 <= '1'; X2 <= '0'; X3 <= '0' ; wait for 100 ns; 
     X0 <= '0'; X1 <= '1'; X2 <= '0'; X3 <= '1' ; wait for 100 ns; 
     X0 <= '0'; X1 <= '1'; X2 <= '1'; X3 <= '0' ; wait for 100 ns; 
     X0 <= '0'; X1 <= '1'; X2 <= '1'; X3 <= '1' ; wait for 100 ns; 
     X0 <= '1'; X1 <= '0'; X2 <= '0'; X3 <= '0' ; wait for 100 ns; 
     X0 <= '1'; X1 <= '0'; X2 <= '0'; X3 <= '1' ; wait for 100 ns; 
     X0 <= '1'; X1 <= '0'; X2 <= '1'; X3 <= '0' ; wait for 100 ns; 
     X0 <= '1'; X1 <= '0'; X2 <= '1'; X3 <= '1' ; wait for 100 ns; 
     X0 <= '1'; X1 <= '1'; X2 <= '0'; X3 <= '0' ; wait for 100 ns; 
     X0 <= '1'; X1 <= '1'; X2 <= '0'; X3 <= '1' ; wait for 100 ns; 
     X0 <= '1'; X1 <= '1'; X2 <= '1'; X3 <= '0' ; wait for 100 ns; 
     X0 <= '1'; X1 <= '1'; X2 <= '1'; X3 <= '1' ; wait for 100 ns;
  　assert false;
    report "Simulation Complete !!" severity Failure ;
  end process;
end SIM;
