llibrary ieee;
use ieee.std_logic_1164.all;

entity T_DEC3TO8 is
end T_DEC3TO8;

architecture RTL of T_DEC3TO8 is
    component DEC3TO8
        port( SW0, SW1, SW2: in std_logic;
              LED0, LED1, LED2, LED3, LED4, LED5, LED6, LED7: out std_logic);
    end component;

signal  A, B, C:  std_logic;
signal  Y0, Y1, Y2, Y3, Y4, Y5, Y6, Y7:  std_logic;

begin
    U01:DEC3TO8 port map(SW0=>A, SW1=>B, SW2=>C,
        LED0=>Y0, LED1=>Y1, LED2=>Y2, LED3=>Y3, LED4=>Y4, LED5=>Y5, LED6=>Y6, LED7=>Y7);

    process begin
        A<='0'; B<='0'; C<='0'; wait for 100 ns;
        A<='1'; B<='0'; C<='0'; wait for 100 ns;
        A<='0'; B<='1'; C<='0'; wait for 100 ns;
        A<='1'; B<='1'; C<='0'; wait for 100 ns;
        A<='0'; B<='0'; C<='1'; wait for 100 ns;
        A<='1'; B<='0'; C<='1'; wait for 100 ns;
        A<='0'; B<='1'; C<='1'; wait for 100 ns;
        A<='1'; B<='1'; C<='1'; wait for 100 ns;

        assert false;
        report "Simulation complete!" severity Failure;   
    end process;
end RTL;
