library ieee;
use ieee.std_logic_1164.all;

entity T_DEC7LED16 is
end T_DEC7LED16;

architecture RTL of T_DEC7LED16 is
    component DEC7LED16
    port( SW4 :      in   std_logic_vector(3 downto 0 );
          SEG7LED0 : out  std_logic_vector(6 downto 0 ));
    end component;

signal  IA, IB, IC, ID:       std_logic;
signal  A, B, C, D, E, F, G:  std_logic;

begin
    U01:DEC7LED16 port map(SW4(0)=>IA, SW4(1)=>IB, SW4(2)=>IC, SW4(3)=>ID,
         SEG7LED0(6)=>A, SEG7LED0(5)=>B, SEG7LED0(4)=>C, SEG7LED0(3)=>D, 
          SEG7LED0(2)=>E, SEG7LED0(1)=>F, SEG7LED0(0)=>G);

    process begin
        IA<='0'; IB<='0'; IC<='0'; ID<='0'; wait for 100 ns;
        IA<='1'; IB<='0'; IC<='0'; ID<='0'; wait for 100 ns;
        IA<='0'; IB<='1'; IC<='0'; ID<='0'; wait for 100 ns;
        IA<='1'; IB<='1'; IC<='0'; ID<='0'; wait for 100 ns;
        IA<='0'; IB<='0'; IC<='1'; ID<='0'; wait for 100 ns;
        IA<='1'; IB<='0'; IC<='1'; ID<='0'; wait for 100 ns;
        IA<='0'; IB<='1'; IC<='1'; ID<='0'; wait for 100 ns;
        IA<='1'; IB<='1'; IC<='1'; ID<='0'; wait for 100 ns;
        IA<='0'; IB<='0'; IC<='0'; ID<='1'; wait for 100 ns;
        IA<='1'; IB<='0'; IC<='0'; ID<='1'; wait for 100 ns;
        IA<='0'; IB<='1'; IC<='0'; ID<='1'; wait for 100 ns;
        IA<='1'; IB<='1'; IC<='0'; ID<='1'; wait for 100 ns;
        IA<='0'; IB<='0'; IC<='1'; ID<='1'; wait for 100 ns;
        IA<='1'; IB<='0'; IC<='1'; ID<='1'; wait for 100 ns;
        IA<='0'; IB<='1'; IC<='1'; ID<='1'; wait for 100 ns;
        IA<='1'; IB<='1'; IC<='1'; ID<='1'; wait for 100 ns;
        assert false;
        report "Simulation Complete!" severity Failure;   
    end process;
end SIM;