library ieee;
use ieee.std_logic_1164.all;

entity T_GATES is
end T_GATES;

architecture SIM of T_GATES is
  component GATES is
    port( SW0, SW1:               in   std_logic;
          LED0, LED1, LED2, LED3: out  std_logic);
  end component;
  signal S0, S1, D0, D1, D2, D3:  std_logic;
begin
  U03:GATES port map( SW0 => S0, SW1 => S1,
            LED0=>D0, LED1=>D1, LED2=>D2, LED3=>D3);
  process begin
    S1 <= '0'; S0 <= '0' ; wait for 100 ns; 
    S1 <= '0'; S0 <= '1' ; wait for 100 ns; 
    S1 <= '1'; S0 <= '0' ; wait for 100 ns; 
    S1 <= '1'; S0 <= '1' ; wait for 100 ns; 

    assert false
    report "Simulation Complete !!" severity Failure ;
  end process;
end SIM;
