library ieee;
use ieee.std_logic_1164.all;

entity T_OR5 is
end T_OR5;

architecture SIM of T_OR5 is
  component OR5
    port( SW0, SW1, SW2, SW3, SW4: in   std_logic;
          LED0 :   out  std_logic);
  end component;
  signal X0, X1, X2, Y0:  std_logic;

begin
  U01:OR5 port map( SW0=>X0,SW1=>X1,SW2=>X2,SW3=>X3,SW4=>X4,LED0=>Y0);

    X4<='0'; X3<='0'; X2<='0'; X1<='0'; X0<='0' ; wait for 100 ns; 
    X4<='0'; X3<='0'; X2<='0'; X1<='0'; X0<='1' ; wait for 100 ns; 
    X4<='0'; X3<='0'; X2<='0'; X1<='1'; X0<='0' ; wait for 100 ns; 
    X4<='0'; X3<='0'; X2<='0'; X1<='1'; X0<='1' ; wait for 100 ns; 
    X4<='0'; X3<='0'; X2<='1'; X1<='0'; X0<='0' ; wait for 100 ns; 
    X4<='0'; X3<='0'; X2<='1'; X1<='0'; X0<='1' ; wait for 100 ns; 
    X4<='0'; X3<='0'; X2<='1'; X1<='1'; X0<='0' ; wait for 100 ns; 
        ・・・・・・・・・・・・・・・・・・・・・・・・・・
　　　　・・・・・・・・・・・・・・・・・・・・・・・・・・
    X4<='1'; X3<='1'; X2<='1'; X1<='0'; X0<='1' ; wait for 100 ns; 
    X4<='1'; X3<='1'; X2<='1'; X1<='1'; X0<='0' ; wait for 100 ns; 
    X4<='1'; X3<='1'; X2<='1'; X1<='1'; X0<='1' ; wait for 100 ns; 
  assert false;
  report "Simulation Complete !!" severity Failure ;
end SIM;
