library ieee;
use ieee.std_logic_1164.all;

entity pencoder is
	port( SW0, SW1, SW2, SW3: in std_logic;
              LED0, LED1, LED2: out std_logic);
end pencoder;

architecture RTL of pencoder is
	signal IN0, IN1, IN2, IN3: std_logic;
	signal code: std_logic_vector(2 downto 0);
begin
	IN0 <= not SW0; IN1 <= not SW1; IN2 <= not SW2; IN3 <= not SW3;
	LED0 <= code(0); LED1 <= code(1); LED2 <= code(2);
	code <= "000" when IN3='1' else --IN3だけに着目している
	        "001" when IN2='1' else --IN2だけに着目している
	        "010" when IN1='1' else --IN1だけに着目している
	        "011" when IN0='1' else --IN0だけに着目している
	        "100"; --エラー表示
end RTL;