library ieee;
use ieee.std_logic_1164.all;
use ieee.std_logic_unsigned.all;

entity CNT10SEG7 is
     port( SW0:      in   std_logic;
           SEG7LED0: out  std_logic_vector(6 downto 0 ) );
end CNT10SEG7;

architecture RTL of CNT10SEG7 is
component DEC7LED
port( SW4 :      in   std_logic_vector(3 downto 0 );
      SEG7LED0 : out  std_logic_vector(6 downto 0 ));
end component;
signal CNT: std_logic_vector( 3 downto 0 ):="0000";
begin
    process( SW0 ) begin
        if( SW0'event and SW0='0') then 
            if( CNT="1001" ) then CNT <="0000";
            else                  CNT <= CNT + 1;
            end if;
        end if;
    end process;

    U01:DEC7LED port map(SW4=>CNT,SEG7LED0=>SEG7LED0);
end RTL;
