library ieee;
use ieee.std_logic_1164.all;
use ieee.std_logic_unsigned.all;

entity GRAY is
     port( SW0:                     in   std_logic;
           LED0, LED1, LED2, LED3:  out  std_logic );
end GRAY;

architecture RTL of GRAY is
signal CNT: std_logic_vector( 3 downto 0 ):="0000";
signal GRAY: std_logic_vector( 3 downto 0 );
begin
    GRAY<=CNT(3) & (CNT(2) xor CNT(3)) &
           (CNT(1) xor CNT(2)) & (CNT(0) xor CNT(1));

    LED0<=GRAY(0); LED1<=GRAY(1); LED2<=GRAY(2); LED3<=GRAY(3);
    
    process( SW0 ) begin
    if( SW0'event and SW0='0') then 
        if( CNT=9 ) then CNT <="0000";  -- 10?i
        else             CNT <= CNT + 1;
        end if;
    end if;
    end process;
end RTL;
