library ieee;
use ieee.std_logic_1164.all;

entity TIMER is
    generic( CYCLE: integer :=13500000);
    port( CLK:   in   std_logic;
          PULSE :  out  std_logic );
end TIMER;

architecture RTL of TIMER is
signal CNT: integer range 0 to CYCLE-1;

begin
    process( CLK ) begin
        if( CLK'event and CLK='0') then 
            if CNT=CYCLE-1 then CNT<=0; PULSE <= '1';
            else CNT <= CNT + 1; PULSE<= '0';
            end if;
        end if;
    end process;
end RTL;
