library ieee;
use ieee.std_logic_1164.all;

entity TIMERLOAD is
    generic( CYCLE: integer :=13500000);
    port( CLK:   in   std_logic;
          P500:  out  std_logic;
          LD:    in   std_logic;
          DATA:  in   integer range 0 to CYCLE-1 );
end TIMERLOAD;

architecture RTL of TIMERLOAD is
signal CNT: integer range 0 to CYCLE-1:=0;

begin
    process( CLK ) begin
        if( CLK'event and CLK='0') then 
            if LD='0' then CNT<=DATA;
            elsif CNT=CYCLE-1 then CNT<=0; P500<= '1';
            else  CNT <= CNT + 1;          P500<= '0';
            end if;
        end if;
    end process;
end RTL;
