library ieee;
use ieee.std_logic_1164.all;

entity TOGGLE is
     port( SW0:   in   std_logic;
           LED0:  out  std_logic );
end TOGGLE;

architecture RTL of TOGGLE is
signal Q: std_logic:='0';

begin
    LED0 <= Q;

    process( SW0 )
    begin
        if(SW0'event and SW0='0')then
            Q <= not Q;
        end if;
    end process;
end RTL;
