library ieee;
use ieee.std_logic_1164.all;

entity T_CNT10B is
end T_CNT10B;

architecture SIM of T_CNT10B is
  component CNT10B
     port( SW0:   in   std_logic; -- 入力信号
           LED0, LED1, LED2, LED3:  out  std_logic );
  end component;
  signal SW0, LED0, LED1, LED2, LED3: std_logic:='0' ;
begin
  U01:CNT10B port map( SW0=>SW0,
            LED0=>LED0, LED1=>LED1,LED2=>LED2, LED3=>LED3 );
  process begin
    for N in 1 to 16 loop
        SW0 <= '0' ; wait for 100 ns; 
        SW0 <= '1' ; wait for 100 ns; 
    end loop;

    assert false;
    report "Simulation Complete !!" severity Failure ;
  end process;
end SIM;
