library ieee;
use ieee.std_logic_1164.all;
use ieee.std_logic_unsigned.all;

entity COMP2 is
     port( A, B:   in   std_logic_vector(1 downto 0);
           S, T:   in   std_logic;
           Q:      out  std_logic );
end COMP2;

architecture RTL of COMP2 is
signal X, X0, X1: std_logic;
begin
    X0 <= A(0) xor B(0);
    X1 <= A(1) xor B(1);
    X  <= X0 and X1;

    Q <= S when X='1' else T;
end RTL;
