 library ieee;
 use ieee.std_logic_1164.all;
 use ieee.std_logic_unsigned.all;

 entity COUNT10 is
    port( DIN, RST: in   std_logic;
          DOUT:     out  std_logic_vector( 3 downto 0 );
          CRY:      out  std_logic   );
 end COUNT10;

 architecture RTL of COUNT10 is
 signal  CNT: std_logic_vector( 3 downto 0 );
 begin

    DOUT <= CNT;

    process( DIN, RST )
    begin
        if( RST = '0' ) then
            CNT <= "0000";
            CRY <= '0';
        elsif( DIN'event and DIN = '1' ) then
            CNT <= CNT + 1;
            if( CNT = "1001" ) then
                CNT <= "0000";
                CRY <= '1';
            else
                CRY   <= '0';
            end if;
        end if;
    end process;
 end RTL;
