 library ieee;
use ieee.std_logic_1164.all;
use ieee.std_logic_unsigned.all;

entity T5MS is
    port( CLK:  in   std_logic;
          T5:   out  std_logic );
end T5MS;

architecture RTL of T5MS is
signal  CNT:  integer range 0 to 270000/2-1;
begin
    process( CLK )
    begin
        if( CLK'event and CLK='0' ) then
            if( CNT = 270000/2-1 ) then
                T5 <= '1';
                CNT <= 0;
            else
                CNT <= CNT + 1;
                T5 <= '0';
            end if;
        end if;
    end process;
end RTL;
