library ieee;
use ieee.std_logic_1164.all;
use ieee.std_logic_unsigned.all;

entity DCOUNT is
port( CLK:   in  std_logic;
      PLS:   out std_logic;
      LD:    in  std_logic;
      DATA:  in  std_logic_vector(3 downto 0) );
end DCOUNT;

architecture RTL of DCOUNT is
signal CNT: std_logic_vector(3 downto 0);

begin
    process( CLK, LD )
    begin
        if( LD='0' ) then CNT<=DATA; PLS<='1';
        elsif( CLK'event and CLK='0' ) then
            if( CNT="0001" ) then    PLS<='0';
            else CNT<=CNT-1;
            end if;
        end if;
    end process;
end RTL;
