library ieee;
use ieee.std_logic_1164.all;

entity DEV is
    generic( CYCLE: integer :=13500000);  -- 0.5S at 27MHz
    port( CLK:   in   std_logic;
          PULSE: out  std_logic;
          RESET: in   std_logic );
end DEV;

architecture RTL of DEV is
signal CNT: integer range 0 to CYCLE-1;

begin
    process( CLK, RESET ) begin
        if( RESET = '0' )  then CNT<=0;
        elsif( CLK'event and CLK='0') then 
            if CNT=CYCLE-1 then CNT<=0; PULSE <= '1';
            else CNT <= CNT + 1;        PULSE<= '0';
            end if;
        end if;
    end process;
end RTL;
--本書では最後に ; がついておりますが，誤りです。ご迷惑をおかけしたことをお詫び申し上げます。